Name:           python-pysmell
Version:        0.7.3
Release:        6%{?dist}
Summary:        An autocompletion library for Python
BuildArch:      noarch

License:        BSD
URL:            https://code.google.com/p/pysmell/
Source0:        https://pypi.python.org/packages/source/p/pysmell/pysmell-%{version}.zip

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
PySmell is a python IDE completion helper.

It tries to statically analyze Python source code, without executing it, and 
generates information about a project's structure that IDE tools can use.

PySmell currently supports Vim, Emacs and TextMate. It can be integrated with
any editor that can run Python scripts and has an auto-complete API.

%package -n vim-pysmell
Summary:    Python autocompletion for vim
Requires:   %{name} = %{version}-%{release}
Requires:   vim-filesystem

%description -n vim-pysmell
PySmell is a python IDE completion helper.

It tries to statically analyze Python source code, without executing it, and 
generates information about a project's structure that IDE tools can use.

This package provides autocompletion support for vim.

%package -n emacs-pysmell
Summary:    Python automcompletion for GNU Emacs
Requires:   %{name} = %{version}-%{release}
Requires:   emacs-filesystem

%description -n emacs-pysmell
PySmell is a python IDE completion helper.

It tries to statically analyze Python source code, without executing it, and 
generates information about a project's structure that IDE tools can use.

This package provides autocompletion support for GNU Emacs.

%package -n xemacs-pysmell
Summary:    Python automcompletion for XEmacs
Requires:   %{name} = %{version}-%{release}
Requires:   xemacs-filesystem

%description -n xemacs-pysmell
PySmell is a python IDE completion helper.

It tries to statically analyze Python source code, without executing it, and 
generates information about a project's structure that IDE tools can use.

This package provides autocompletion support for XEmacs.


%prep
%setup -qn pysmell-%{version}

# drop unwanted shebang
sed -i '1{\@^#!/usr/bin/env python@d}' pysmell/tags.py

# CRLF -> LF
sed -i "s|\r||g" PKG-INFO

# remove bundled egg
rm -rf pysmell.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# install editor integration files
install -Dpm0644 pysmell.vim %{buildroot}%{_datadir}/vim/vimfiles/plugins/pysmell.vim
install -Dpm0644 pysmell.el %{buildroot}%{_datadir}/emacs/site-lisp/pysmell.el
install -Dpm0644 pysmell.el %{buildroot}%{_datadir}/xemacs/site-packages/lisp/pysmell.el


%files
%{python2_sitelib}/pysmell
%{python2_sitelib}/pysmell*.egg-info
%{_bindir}/pysmell
%doc AUTHORS CHANGELOG PKG-INFO README.markdown

%files -n vim-pysmell
%{_datadir}/vim/vimfiles/plugins/pysmell.vim

%files -n emacs-pysmell
%{_datadir}/emacs/site-lisp/pysmell.el

%files -n xemacs-pysmell
%{_datadir}/xemacs/site-packages/lisp/pysmell.el


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 11 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.7.3-2
- remove bundled egg
- use python2 in macros
- set permissions on editor integration files explicitly to avoid spurious 
  executable bits

* Sun Nov 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.7.3-1
- initial package
